<?php
/*-------------------------------------------------------+
| PHPFusion Content Management System
| Copyright (C) PHP Fusion Inc
| https://phpfusion.com/
+--------------------------------------------------------+
| Filename: templates/notifier.tpl.php
| Author: karrak
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
defined('IN_FUSION') || exit;

if (!function_exists('ntfShowAdmin')) {
    function ntfShowAdmin($info) {
    	$locale = fusion_get_locale();
    	if (!empty($info['data'])) {
    	    echo "<div class='text-right'>".$info['count']."</div>";
    	    echo "<div class='table-responsive'><table class='table table-striped'>
    	        <thead>
    	            <tr>
    	                <th>".$info['bady'][0]."</th>
    	                <th>".$info['bady'][1]."</th>
    	                <th>".$info['bady'][2]."</th>
    	                <th>".$info['bady'][3]."</th>
    	                <th></th>
    	            </tr>
    	        </thead>
    	        <tbody>\n";
    	        foreach($info['data'] as $data) {
    	            echo "<tr>
    	                <td>".$data['notifier']."</td>
    	                <td>".$data['descript']."</td>
    	                <td>".$data['date']."</td>
    	                <td>".$data['u_name']."</td>
    	                <td><a href='".$data['link']."' title=".$locale['delete']." onclick=\"return confirm('".$locale['NTFP_E02']."');\">".$locale['delete']."</a></td>
    	            </tr>\n";
    	        }
    	        echo "</tbody>\n";
    	    echo "</table></div>";
    	    if(!empty($info['pagenav'])) {
    	        echo "<div class='spacer-sm'>
    	            <div class='text-center m-t-10 m-b-10'>".$info['pagenav']."</div>
    	        </div>";
    	    }
    	} else {
    	    echo "<div class='well text-center'>".$info['norows']."</div>";
    	}
	}
}

if (!function_exists('showNotifier')) {
    function showNotifier($info) {
    	$locale = fusion_get_locale();
        opentable("<i class='fa fa-bell fa-lg m-r-10'></i>".$info['tablename']);
        if (!empty($info['nouser'])) {
            echo "<div class='well text-center'>".$info['nouser']."</div>";
        } else {
            echo $info['openform'];
            echo "<div class='panel m-b-15'>";
                echo $info['ntfselect'];
                echo "<div class='m-b-15' id='ntfusername' ".($info['stnotifier'] == 'ntfusername' ? "style='display:none;'" : '').">";
                    echo $info['n_whouser'];
                echo "</div>";
                echo "<div class='m-b-15' id='ntflink' ".($info['stnotifier'] == 'ntflink' ? "style='display:none;'" : '').">";
                    echo $info['n_link'];
                echo "</div>";
                echo "<div class='m-b-15' id='ntftext' ".($info['stnotifier'] == 'ntftext' ? "style='display:none;'" : '').">";
                    echo $info['n_notifier'];
                echo "</div>";
                echo "<div class='m-b-15' id='ntfsave' ".(!empty($info['stnotifier']) ? "style='display:none;'" : '').">";
                    echo $info['n_descript'];
                    echo $info['buton'];
                    echo $info['closeform'];
                echo "</div>";
            echo "</div>";
        }
        closetable();
    }
}
